/**
 * Created by IntelliJ IDEA.
 * User: m09aaa
 * Date: 30.09.2009
 * Time: 17:27:57
 * To change this template use File | Settings | File Templates.
 */

/**
 * Created by IntelliJ IDEA.
 * User: m09aaa
 * Date: 30.09.2009
 * Time: 17:27:57
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
 import java.io.*;

   public class XD {
        public static void main ( String[] args ) throws Exception {
       Scanner s=new Scanner (new File("quotient.in"));
       int a=s.nextInt();
       int b=s.nextInt();
      PrintWriter p=new PrintWriter (new File("quotient.out"));
       if (b==0) {p.println("Na nol' delit' nel'zya!!!");} else {if (a*b>=0) {p.print(a/b);} else {p.println(a/b-1);}}
       p.close();
   }
   }


